<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

\IoC::resolve( 'eventmediator' )->attach( 'before_route', function( FastRoute\RouteCollector $r, $request, $response ) {
    $r->addRoute( 'GET', 'system/htaccess', 'plugins\\htaccess\\controllers\\HtaccessController@edit' );
    $r->addRoute( 'POST', 'system/htaccess', 'plugins\\htaccess\\controllers\\HtaccessController@save' );
    return true;
});

\IoC::resolve( 'eventmediator' )->attach( 'after_initialize_backend_menu', function( \library\BackendMenu $backendMenu ) {
    if ( isset( $backendMenu['tools'] ) ) {
        $backendMenu['tools']['submenu'][] = ['name' => 'htaccess', 'url' => BASE_URL . 'system/htaccess'];
    } else {
        $backendMenu->push( ['name' => 'tools', 'url' => '#', 'submenu' => [['name' => 'htaccess', 'url' => BASE_URL . 'system/htaccess']]] );
    }
    return true;
} );

// $logger = \IoC::resolve( 'logger' );
// $logger->write( sprintf( '[%s] [%s] [%s] Plugin htaccess initialized.', date( 'Y-m-d H:i:s' ), __FILE__, 'info' ) );
